Update an existing Resource
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/resources/v1p2/resources/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource": {
"metadata": {
"fail_fast": {
"consecutive_failures": 3,
"stagnation_limit": 5
}
},
"title": "<string>",
"roles": [],
"vendorResourceId": "<string>",
"vendorId": "<string>",
"applicationId": "<string>"
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/resources/v1p2/resources/{sourcedId}"
payload = { "resource": {
"metadata": { "fail_fast": {
"consecutive_failures": 3,
"stagnation_limit": 5
} },
"title": "<string>",
"roles": [],
"vendorResourceId": "<string>",
"vendorId": "<string>",
"applicationId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource: {
metadata: {fail_fast: {consecutive_failures: 3, stagnation_limit: 5}},
title: '<string>',
roles: [],
vendorResourceId: '<string>',
vendorId: '<string>',
applicationId: '<string>'
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/resources/v1p2/resources/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Resources Management
Update an existing Resource
To update an existing resource. The sourcedId for the record to be updated is supplied by the requesting system.
PUT
/
ims
/
oneroster
/
resources
/
v1p2
/
resources
/
{sourcedId}
Update an existing Resource
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The sourcedId of the resource to update
Body
application/json
Show child attributes
Show child attributes
Response
Resource successfully updated
The response is of type object.
⌘I